PDA

View Full Version : do i have libusb-dev, how do i install it?



sedsed
24-Jan-2013, 23:09
So i have SUSE enterprise desktop 11 sp2.

I need libusb-dev but as i can see , its not preinstalled, Correct me if im wrong.

I downloaded libusb 1.0.9.
Does libusb contain libusb-dev?
Now, i am a beginner so please help. how do i install it.
Where do i unzip it (does it matter where i unzip it).
How do i install it ( i did : .Congiure and Make and Make install - on desktop in some folder).
After that i still have installed libusb 1.0.8.

Thank you verry much!

malcolmlewis
25-Jan-2013, 00:19
On Thu 24 Jan 2013 10:14:03 PM CST, sedsed wrote:


So i have SUSE enterprise desktop 11 sp2.

I need libusb-dev but as i can see , its not preinstalled, Correct me
if im wrong.

I downloaded libusb 1.0.9.
Does libusb contain libusb-dev?
Now, i am a beginner so please help. how do i install it.
Where do i unzip it (does it matter where i unzip it).
How do i install it ( i did : .Congiure and Make and Make install -
on desktop in some folder).
After that i still have installed libusb 1.0.8.

Thank you verry much!




Hi
In rpm speak, when you see a requirement for a dev file, it's called
devel...

A lot of the devel(opment) rpms are on the SLE SDK, which you can
either download or add the mirror via your mirror credentials via
the NCC page.



zypper if libusb-devel

Refreshing service 'nu_novell_com'.
Loading repository data...
Reading installed packages...


Information for package libusb-devel:

Repository: SLE11-SDK-SP1-Pool
Name: libusb-devel
Version: 0.1.12-139.1.1
Arch: x86_64
Vendor: SUSE LINUX Products GmbH, Nuernberg, Germany
Support Level: unknown
Installed: No
Status: not installed
Installed Size: 575.0 KiB
Summary: USB Libraries
Description:
Libusb is a library that allows userspace access to USB devices.

If you download the SDK, you just need the iso image on the system,
then use YaST -> Add on products and point to the iso image, it will
then add the online and update repositories to your system.

You only need DVD1 for your system arch (DVD2 is the src rpms)
http://download.novell.com/Download?buildid=NgW3ToaagDQ~

What are you trying to add to your system, there are many applications
on the Open Build Service?

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.2 (x86_64) Kernel 3.4.11-2.16-desktop
up 4:30, 3 users, load average: 0.10, 0.04, 0.05
CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile

sedsed
25-Jan-2013, 01:17
i try to add usb_modeswitch 1.2.5 i think (the latest version)
because i cant run my HUAWEI broadband modem.

I will now see what you suggested. (btw i have no dvd, i got suse SLED preinstalled on my laptop as i bought it.)

sedsed
25-Jan-2013, 01:28
Which one should i download?
the i586 or x86_64 or any other?
my CPU is i5-321m

Ok, i see, i need to log in. Is this free? Im not sure if i have the privileges.

Sorry im new in this.
And thank you very much!

malcolmlewis
25-Jan-2013, 01:55
On Fri 25 Jan 2013 12:34:01 AM CST, sedsed wrote:


Which one should i download?
the i586 or x86_64 or any other?
my CPU is i5-321m

Ok, i see, i need to log in. Is this free? Im not sure if i have the
privileges.

Sorry im new in this.
And thank you very much!




Hi
What's the output from;


uname -a


Will version 1.2.3 work?
http://software.opensuse.org/package/usb_modeswitch

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.2 (x86_64) Kernel 3.4.11-2.16-desktop
up 6:10, 3 users, load average: 0.01, 0.03, 0.05
CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile

sedsed
25-Jan-2013, 02:12
senad@linux-cg83:~/Desktop> uname -a
Linux linux-cg83 3.0.39-0.7.9.4471.2.PTF-default #1 SMP Mon Aug 13 18:42:06 UTC 2012 (7b30493) x86_64 x86_64 x86_64 GNU/Linux

then i guess its the x86 64 one. ( i am downloadin it)

i tried 1.2.3.
Should i check the repositorz for openSUSe 12? I did it an it started downlading something. It said : could harm my system integrity or something like that.

First i unchecked it but i got this >

The following software could not be installed:
usb_modeswitch....

sedsed
26-Jan-2013, 19:02
it installed 1.2.3.
I downlaoded the ISO and burned it onto DVD. From it i installed libusb-devel and so on.

After that i executed "make install" on the lates usb_modeswitch 1.2.5. and the latest modeswitch Data. And it works, it detects my Huawei e1750.

Thank you